use affluences_api::AffluencesClient;
use chrono::NaiveDate;
use uuid::{uuid, Uuid};

#[tokio::main]
async fn main() {
    let site = "faculty-library-sciences";
    let id: Uuid = uuid!("4737e57a-ee05-4f7b-901a-7bb541eeb297");
    let mut client = AffluencesClient::new();

    // let res = client.site_data(site).await.unwrap();

    let res = client
        .available(id, NaiveDate::from_ymd_opt(2023, 5, 11).unwrap(), 1)
        .await
        .unwrap();
    println!("{:?}", res);
}
